<?php
class upyun{
	const END_POINT = "http://v0.api.upyun.com";
	private $bucketname;
    private $username;
    private $password;
	private $isasync;

	public function __construct($bucketname, $username, $password, $isasync){

		$this->bucketname = $bucketname;
        $this->username = $username;
        $this->password = $password;
        $this->isasync = $isasync;

	}

	public function deldir($dstpath){

		$uri = "/{$this->bucketname}$dstpath";
		$date = gmdate('D, d M Y H:i:s \G\M\T');
		$signature = base64_encode(hash_hmac("sha1", "DELETE&$uri&$date", md5("{$this->password}"), true));
		$header = array("Authorization:UPYUN {$this->username}:$signature", "Date:$date", "x-upyun-async:{$this->isasync}");

		$ch = curl_init(self::END_POINT.$uri);
		curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");
		$rsp_body = curl_exec($ch);
		$rsp_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
		curl_close($ch);
		return array("code"=>$rsp_code,"msg"=>$rsp_body);

	}

}

$upyun = new upyun("", "Ա˺", "Ա", false);
$upyun->deldir("/13.jpg");



?>